{% extends 'base.html.twig' %}
{% block title %}
	Hello TopicController!


{% endblock %}
{% block body %}
	<div class="NameOfBoard">
		<a>
			<H1>
				{{ topic.name }}
			</H1>
		</a>
	</div>
	<div class="body">
		<div class="leftBarre">
			{{ form_start(form) }}
			{{ form_row(form.content,{"label":"Poster une réponse", "label_attr":{"class":"formlabel"},"attr":{"class":"taille" }}
			) }}


			<input  class="button" type="submit">
			{{ form_end(form) }}
			
		</div>
		<div class="main">
			<p>
				{{ topic.name }}
			</p>
			<a>
				Créer par
				{{ topic.user }}
				{{ topic.datecreation|date(" D M, Y H:i ") }}
			</a>
			<p>
				{{ topic.content }}
				 
				{% if is_granted('ROLE_ADMIN') %}
				<b href="{{ path('app_topic_delete',{'id':topic.id}) }}" >Supprimer sujet </b>
				{% endif %}
			</p>
			{% for reply in replies %}
				Re:
				{{ topic.name }}
				<a>
					Créer par
					<a>
						{% if reply.user  %}
							{{ reply.user }}
						{% else %}
							Anonymous
						{% endif %}
						{{ reply.datecreation|date(" D M, Y H:i ") }}
					</a>
				</a>
				<div class="contentcolor">
					<p>
						{{ reply.content }} 
						{% if is_granted('ROLE_ADMIN') %}
						<b  href="{{ path('app_reply_delete',{'id':reply.id}) }}" >Supprimer </b>
						{% endif %}
					</p>
				</div>
				
			{% endfor %}
		</div>
	</div>
{% endblock %}
